#!/bin/bash

#go to the directory of the script
reldir=`dirname $0`
cd $reldir
directory=`pwd`

rm -rf dist
rm -rf build
rm -rf spintrum.egg-info/

mkdir build
cd build
cmake -DOpenBLASPath=../OpenBLAS_install/ ..

if [ $? -ne 0 ]; then
  echo 'CMake failed to run. Are you sure that CMake is installed?'
  exit
fi

make
if [ $? -ne 0 ]; then
  echo 'make failed to run.'
  exit
fi

cd ..
python3 setup.py --verbose sdist
if [ $? -ne 0 ]; then
  echo 'Python package creator installation script failed.'
  exit
fi
