from setuptools import setup, find_packages
from spintrum import meta
import os
import sys

del os.link #solve hardlinking problem when using NTFS drive

def _print_error(msg):
    sys.stderr.write("\n\nERROR: " + msg + "\n\n\n")

dirname = "spintrum"
lib_file = "lib/libspintrum.so"

if not os.path.isfile(os.path.join(dirname,lib_file)):
    _print_error("Unable to find the compiled library header. Please compile Spintrum before installing it.")
    os._exit(1)

setup(name='spintrum',
      version=meta.__version__,
      description='Software for spin systems simulation',
      url='http://www.afach.de',
      author='Samer Afach',
      author_email='samer@afach.de',
      license='MPL',
      packages=['spintrum'],
      package_data={'': ['lib/libspintrum.so']},
      zip_safe=False
      )
